Subject: Re: bug#58912: 29.0.50; set-face-attribute call in init.el has no lasting effect

From: Eli Zaretskii <[email-masked]>
Date: Mon, 31 Oct 2022 15:32:43 +0200

> Date: Mon, 31 Oct 2022 02:44:24 +0200
> From: Dmitry Gutov <[email-masked]>
> 
> 1. Have a line in init.el like
> 
> (set-face-attribute 'default nil :height 110 :weight 'semi-light :family
> "Cascadia Mono")
> 
> 2. Start Emacs. See the graphical frame get resized briefly during 
> startup, but then go back to the default monospaced system font (Ubuntu 
> Mono in my case), with the default font size.

I cannot reproduce this.  The settings in the init file, both the font
family and its size, get reflected in the default face's font for me.
But I'm not on an X/GTK-based system, so I suspect something like
xsettings or gsettings or somesuch are responsible for the resetting
of the default face's font.  Perhaps Po Lu could help.